package hw.tagApi.service.constant;


/**
 * API常量类
 *
 * @author Yinq
 * @date 2025-04-15
 */
public class ApiConstants {

    /**
     * 本机IP端口
     */
//    public static final String BASE_URL = "http://127.0.0.1:9000/docs/export/";
//    public static final String BASE_URL = "http://database.rfidtire.com/docs/export/";
    public static final String BASE_URL = "http://1.13.177.47/docs/export/";

    /**
     * 过期时间(毫秒) 6小时
     */
    public static final Long PASS_TIME = 21600000L;

    /**
     * TID\EPC长度
     */
    public static final Integer TE_LENGTH = 24;

    /**
     * 导入回调返回请求
     */
    public static final String IN_CALLBACK_URL = "https://www.kdocs.cn/chatflow/api/v2/func/webhook/2w7TqqdGMqmLwdfQY3wFidcBF4K";

    /**
     * 导出回调返回请求
     */
    public static final String OUT_CALLBACK_URL = "https://www.kdocs.cn/chatflow/api/v2/func/webhook/2w7TqqdGMqmLwdfQY3wFidcBF4K";

    /**
     * 导入模式
     */
    //“新增”模式需要 TID和 EPC查重，确保新添加的内容唯一性，建立新的记录;
    public static final String MODE_ADD = "新增";
    //“更新”模式则无需查重TID，按照导入表格中的TID去查找相关记录，并逐条更新TID对应的其他记录，如EPC等（只更新导入表格中含有的信息，没有的信息保持原状，而不是替换为空白内容）
    public static final String MODE_UPDATE = "更新";
    //“新增(不查重 EPC)”模式只需要 TID查重，建立新记录;
    public static final String MODE_ADD_NO_CHECK = "新增（不查重EPC）";
    //“更新(不查重 EPC)”模式只需要 TID 查重，按照导入表格中的 TID 去查找相关记录，并逐条更新TID对应的其他记录如 EPC(不查重 EPC)等
    public static final String MODE_UPDATE_NO_CHECK = "更新（不查重EPC）";

    /**
     * 数据库状态
     */
    public static final String DATA_STATUS = "00";

    /**
     * 数据导入
     */
    public static final String DATA_IMPORT = "10";

    /**
     * 快速数据导入
     */
    public static final String FAST_DATA_IMPORT = "11";

    /**
     * 数据查询
     */
    public static final String DATA_QUERY = "20";

    /**
     * 数据导出
     */
    public static final String DATA_EXPORT = "30";

    /** 导入状态 */
    public static final String IMPORT_STATUS = "导入状态";
    public static final String DESCRIPTION = "情况说明";
    public static final String STATUS_IMPORTING = "导入中";
    public static final String STATUS_SYSTEM_ERROR = "系统错误";
    public static final String IMPORT_SUCCESS = "导入成功";

    /** 搜索状态 */
    public static final String SELECT_STATUS = "搜索状态";

    /** 导出状态 */
    public static final String EXPORT_STATUS = "导出状态";

} 